package com.ailanyin.admin.service;

import com.ailanyin.model.HxCarLogConfig;
import java.util.List;

/**
* @author ailanyin
* @version 1.0
* @since 2022-02-15 04:15:39
*/
public interface HxCarLogConfigService{

    /**
     * 条件查询列表
     *
     * @param hxCarLogConfig hxCarLogConfig
     * @return list
     */
    List<HxCarLogConfig> getListByParam(HxCarLogConfig hxCarLogConfig);

    /**
     * 新增
     *
     * @param hxCarLogConfig hxCarLogConfig
     */
    void insertHxCarLogConfig(HxCarLogConfig hxCarLogConfig);

    /**
     * 修改
     *
     * @param hxCarLogConfig hxCarLogConfig
     */
    void updateHxCarLogConfig(HxCarLogConfig hxCarLogConfig);

    /**
     * 批量删除
     *
     * @param ids ids
     */
    void deleteByIds(Long[] ids);

    /**
     * 主键查询
     *
     * @param id id
     * @return hxCarLogConfig
     */
    HxCarLogConfig getInfo(Long id);
}
