package com.ailanyin.admin.service;

import com.ailanyin.model.HxPlanCompleted;

import java.util.List;
import java.util.Map;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/14 0014 上午 9:16
 */
public interface HxPlanCompletedService {

    /**
     * 查询
     *
     * @param hxPlanCompleted
     * @return
     */
    List<HxPlanCompleted> selectHxPlanCompletedList(HxPlanCompleted hxPlanCompleted);

    /**
     * 导入
     *
     * @param list
     */
    void importData(List<HxPlanCompleted> list);

    /**
     * 大图 月查询
     *
     * @param month
     * @return
     */
    List<Map> getHxPlanCompletedByMonthPic(String month);

    /**
     * 大图
     *
     * @return
     */
    List<Map> getHxPlanCompletedPic();

}
