package com.ailanyin.admin.service;

import com.ailanyin.model.HxQualitySystemElements;
import com.ailanyin.model.HxQualitySystemReview;

import java.util.List;
import java.util.Map;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/13 0013 下午 16:23
 */
public interface HxQualitySystemService {

    /**
     *查询
     *
     * @param hxQualitySystemReview
     * @return
     */
    List<HxQualitySystemReview> selectHxQualitySystemReviewList(HxQualitySystemReview hxQualitySystemReview);

    /**
     *导入审查
     *
     * @param list
     */
    void importReviewData(List<HxQualitySystemReview> list);

    /**
     * 查询要素
     *
     * @param hxQualitySystemElements
     * @return
     */
    List<HxQualitySystemElements> selectHxQualitySystemElementsList(HxQualitySystemElements hxQualitySystemElements);

    /**
     * 导入要素
     *
     * @param list
     */
    void importData(List<HxQualitySystemElements> list);

    /**
     * 饼图
     *
     * @return
     */
    Map getPic1();

    /**
     * 点点图
     *
     * @return
     */
    Map getPic2();

}
