package com.ailanyin.admin.service;

import com.ailanyin.model.HxReaderInfo;
import java.util.List;

/**
* @author ailanyin
* @version 1.0
* @since 2022-01-15 08:59:27
*/
public interface HxReaderInfoService{

    /**
     * 条件查询列表
     *
     * @param hxReaderInfo hxReaderInfo
     * @return list
     */
    List<HxReaderInfo> getListByParam(HxReaderInfo hxReaderInfo);

    /**
     * 新增
     *
     * @param hxReaderInfo hxReaderInfo
     */
    void insertHxReaderInfo(HxReaderInfo hxReaderInfo);

    /**
     * 修改
     *
     * @param hxReaderInfo hxReaderInfo
     */
    void updateHxReaderInfo(HxReaderInfo hxReaderInfo);

    /**
     * 批量删除
     *
     * @param ids ids
     */
    void deleteByIds(Long[] ids);

    /**
     * 主键查询
     *
     * @param id id
     * @return hxReaderInfo
     */
    HxReaderInfo getInfo(Long id);
}
