package com.ailanyin.admin.service.impl;

import com.ailanyin.admin.service.HxChargeJobContentService;
import com.ailanyin.mapper.HxChargeJobContentMapper;
import com.ailanyin.model.HxChargeJobContent;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/20 0020 下午 19:56
 */

@Service
public class HxChargeJobContentServiceImpl implements HxChargeJobContentService {

    @Resource
    private HxChargeJobContentMapper hxChargeJobContentMapper;


    @Override
    public List<HxChargeJobContent> selectList(HxChargeJobContent hxChargeJobContent) {
        return hxChargeJobContentMapper.selectList(hxChargeJobContent);
    }

    @Override
    public void importData(List<HxChargeJobContent> list) {
        list.forEach(hxChargeJobContent -> {
            hxChargeJobContent.setCreateTime(new Date());
            hxChargeJobContentMapper.insertSelective(hxChargeJobContent);
        });
    }

    @Override
    public HxChargeJobContent getChargeJobContentPic() {
        return hxChargeJobContentMapper.getChargeJobContentPic();
    }
}
