package com.ailanyin.admin.service.impl;

import com.ailanyin.admin.service.HxEsterProductionService;
import com.ailanyin.mapper.HxEsterProductionMapper;
import com.ailanyin.model.HxEsterProduction;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/20 0020 下午 18:21
 */

@Service
public class HxEsterProductionServiceImpl implements HxEsterProductionService {

    @Resource
    private HxEsterProductionMapper hxEsterProductionMapper;


    @Override
    public List<HxEsterProduction> selectList(HxEsterProduction hxEsterProduction) {
        return hxEsterProductionMapper.selectList(hxEsterProduction);
    }

    @Override
    public void importData(List<HxEsterProduction> list) {
        list.forEach(hxEsterProduction -> {
            hxEsterProductionMapper.insertSelective(hxEsterProduction);
        });
    }

    @Override
    public HxEsterProduction getHxEsterProductionPic() {
        return hxEsterProductionMapper.getHxEsterProductionPic();
    }
}
