package com.ailanyin.admin.service.impl;

import com.ailanyin.admin.service.HxInformationIndexService;
import com.ailanyin.mapper.HxInformationIndexMapper;
import com.ailanyin.model.HxInformationIndex;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/14 0014 下午 13:35
 */

@Service
public class HxInformationIndexServiceImpl implements HxInformationIndexService {

    @Resource
    private HxInformationIndexMapper hxInformationIndexMapper;


    @Override
    public HxInformationIndex getInfo() {
        return hxInformationIndexMapper.getInfo();
    }

    @Override
    public void updateInfo(HxInformationIndex hxInformationIndex) {
        hxInformationIndexMapper.updateInfo(hxInformationIndex);
    }
}
