package com.ailanyin.admin.service.impl;

import com.ailanyin.admin.service.HxProductPicService;
import com.ailanyin.mapper.HxProductPicMapper;
import com.ailanyin.model.HxProductPic;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/21 0021 下午 14:15
 */

@Service
public class HxProductPicServiceImpl implements HxProductPicService {

    @Resource
    private HxProductPicMapper hxProductPicMapper;

    @Override
    public HxProductPic getInfo() {
        return hxProductPicMapper.getInfo();
    }

    @Override
    public void updateInfo(HxProductPic hxProductPic) {
        hxProductPicMapper.updateSelective(hxProductPic);
    }
}
