CREATE TABLE "ROOT"."hx_car_location"
(
 "id" BIGINT IDENTITY(1,1) NOT NULL,
 "car_id" VARCHAR(255) NULL,
 "car_model" VARCHAR(255) NULL,
 "car_pic" VARCHAR(255) NULL,
 "driver_name" VARCHAR(255) NULL,
 "driver_phone" VARCHAR(255) NULL,
 "location_card_num" VARCHAR(255) NULL,
 "location_card_number" INT NULL,
 "create_time" TIMESTAMP(0) NULL
);

ALTER TABLE "ROOT"."hx_car_location" ADD CONSTRAINT  PRIMARY KEY("id") ;

CREATE UNIQUE INDEX "INDEX158554820482600" ON "ROOT"."hx_car_location"("id");

COMMENT ON COLUMN "ROOT"."hx_car_location"."id" IS 'ID';

COMMENT ON COLUMN "ROOT"."hx_car_location"."car_id" IS '车牌号';

COMMENT ON COLUMN "ROOT"."hx_car_location"."car_model" IS '车子型号';

COMMENT ON COLUMN "ROOT"."hx_car_location"."car_pic" IS '车子图片';

COMMENT ON COLUMN "ROOT"."hx_car_location"."driver_name" IS '驾驶人姓名';

COMMENT ON COLUMN "ROOT"."hx_car_location"."driver_phone" IS '驾驶人手机号';

COMMENT ON COLUMN "ROOT"."hx_car_location"."location_card_num" IS '车辆定位卡编号';

COMMENT ON COLUMN "ROOT"."hx_car_location"."location_card_number" IS '车辆定位卡去0编号(前端用不到)';

COMMENT ON COLUMN "ROOT"."hx_car_location"."create_time" IS '创建时间';