drop table "ROOT"."hx_dangerous_work";


CREATE TABLE "ROOT"."hx_dangerous_work"
(
"id" BIGINT IDENTITY(1, 1) NOT NULL,
"start_date" VARCHAR(255),
"end_date" VARCHAR(255),
"dept_name" VARCHAR(255),
"work_address" VARCHAR(255),
"worker_total" VARCHAR(255),
"work_content" VARCHAR(255),
"remark" VARCHAR(255),
"create_time" TIMESTAMP(0),
NOT CLUSTER PRIMARY KEY("id")) STORAGE(ON "AITEST", CLUSTERBTR) ;

COMMENT ON COLUMN "ROOT"."hx_dangerous_work"."dept_name" IS '部门名称';
COMMENT ON COLUMN "ROOT"."hx_dangerous_work"."end_date" IS '结束日期';
COMMENT ON COLUMN "ROOT"."hx_dangerous_work"."remark" IS '备注';
COMMENT ON COLUMN "ROOT"."hx_dangerous_work"."start_date" IS '开始日期';
COMMENT ON COLUMN "ROOT"."hx_dangerous_work"."work_address" IS '作业地点';
COMMENT ON COLUMN "ROOT"."hx_dangerous_work"."work_content" IS '作业内容';
COMMENT ON COLUMN "ROOT"."hx_dangerous_work"."worker_total" IS '作业人数';



CREATE  INDEX "select_time_index" ON "ROOT"."hx_dangerous_work"("start_date" ASC,"end_date" ASC) STORAGE(ON "AITEST", CLUSTERBTR) ;
CREATE UNIQUE  INDEX "INDEX18622088418500" ON "ROOT"."hx_dangerous_work"("id" ASC) STORAGE(ON "AITEST", CLUSTERBTR) ;


