CREATE TABLE "ROOT"."hx_month_dynamic"
(
"id" BIGINT IDENTITY(1, 1) NOT NULL,
"month" VARCHAR(255),
"income" VARCHAR(255),
"expenditure" VARCHAR(255),
"new_contract" VARCHAR(255),
"safety_problem" VARCHAR(255),
"quality_problem" VARCHAR(255),
"create_time" TIMESTAMP(0),
NOT CLUSTER PRIMARY KEY("id")) STORAGE(ON "AITEST", CLUSTERBTR) ;

COMMENT ON TABLE "ROOT"."hx_month_dynamic" IS '本月动态';
COMMENT ON COLUMN "ROOT"."hx_month_dynamic"."create_time" IS '录入时间';
COMMENT ON COLUMN "ROOT"."hx_month_dynamic"."expenditure" IS '本月支出';
COMMENT ON COLUMN "ROOT"."hx_month_dynamic"."id" IS 'ID';
COMMENT ON COLUMN "ROOT"."hx_month_dynamic"."income" IS '本月收入';
COMMENT ON COLUMN "ROOT"."hx_month_dynamic"."month" IS '月份';
COMMENT ON COLUMN "ROOT"."hx_month_dynamic"."new_contract" IS '本月新签合同数';
COMMENT ON COLUMN "ROOT"."hx_month_dynamic"."quality_problem" IS '本月质量问题';
COMMENT ON COLUMN "ROOT"."hx_month_dynamic"."safety_problem" IS '本月安全问题数';


CREATE UNIQUE  INDEX "INDEX4638228020500" ON "ROOT"."hx_month_dynamic"("id" ASC) STORAGE(ON "AITEST", CLUSTERBTR) ;

