package com.ailanyin.mapper;

import com.ailanyin.model.HxHiddenDanger;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/8 0008 下午 17:06
 */
public interface HxHiddenDangerMapper {

    /**
     * 查询安全隐患列表
     *
     * @param hxHiddenDanger hxHiddenDanger
     * @return list
     */
    List<HxHiddenDanger> selectHxHiddenDangerList(HxHiddenDanger hxHiddenDanger);

    /**
     * 新增
     *
     * @param hxHiddenDanger hxHiddenDanger
     */
    void insertSelective(HxHiddenDanger hxHiddenDanger);

    List<Map<String, Integer>> selectCountGroupByMonth();

    List<String> getAllCategoryByYear(Integer nowYear);

    Integer selectCountByCategoryAndYear(@Param("category") String category, @Param("nowYear") Integer nowYear);

    List<Map> selectByYearGroupUnit(String year);
}
