package com.ailanyin.mapper;

import com.ailanyin.model.HxReaderInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author ailanyin
* @version 1.0
* @since 2022-01-15 08:59:27
*/
@Mapper
public interface HxReaderInfoMapper{

	/**
     * 条件查询列表
     *
     * @param hxReaderInfo hxReaderInfo
     * @return list
     */
    List<HxReaderInfo> selectList(HxReaderInfo hxReaderInfo);

    /**
     * 新增
     *
     * @param hxReaderInfo hxReaderInfo
     */
    void insertSelective(HxReaderInfo hxReaderInfo);

    /**
     * 修改
     *
     * @param hxReaderInfo hxReaderInfo
     */
    void updateByPrimaryKeySelective(HxReaderInfo hxReaderInfo);

    /**
     * 批量删除
     *
     * @param ids ids
     */
    void deleteByIds(@Param("list") Long[] ids);

    /**
     * 主键查询
     *
     * @param id id
     * @return hxReaderInfo
     */
    HxReaderInfo selectByPrimaryKey(Long id);

    /**
     * 查询 ip 是否存在
     *
     * @param hxReaderInfo hxReaderInfo
     * @return 个数
     */
    int checkIsExist(HxReaderInfo hxReaderInfo);

    List<HxReaderInfo> getAllReadInfo();

}
