package com.ailanyin.mapper;

import com.ailanyin.model.HxSystemRadar;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/14 0014 上午 9:45
 */
public interface HxSystemRadarMapper {

    /**
     * 查重
     *
     * @param hxSystemRadar
     * @return
     */
    int checkIsExist(HxSystemRadar hxSystemRadar);

    /**
     * 查询
     *
     * @param hxSystemRadar
     * @return
     */
    List<HxSystemRadar> selectHxSystemRadarList(HxSystemRadar hxSystemRadar);

    /**
     * 更新
     *
     * @param hxSystemRadar
     */
    void updateSelective(HxSystemRadar hxSystemRadar);

    /**
     * 新增
     *
     * @param hxSystemRadar
     */
    void insertSelective(HxSystemRadar hxSystemRadar);

    /**
     * 获取所有的系统
     *
     * @return
     */
    List<String> getAllSystemName();

    /**
     * 查询
     *
     * @param todayDate
     * @param systemName
     * @return
     */
    List<Map> selectAllBySystemNameAndMonth(@Param("todayDate") String todayDate,@Param("systemName") String systemName);
}
