package com.ailanyin.mapper;

import com.ailanyin.model.HxWorkPlan;

import java.util.List;
import java.util.Map;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/14 0014 上午 11:22
 */
public interface HxWorkPlanMapper {

    /**
     * 查询
     *
     * @param hxWorkPlan
     * @return
     */
    List<HxWorkPlan> selectHxWorkPlanList(HxWorkPlan hxWorkPlan);

    /**
     * 查重
     *
     * @param hxWorkPlan
     * @return
     */
    int checkIsExist(HxWorkPlan hxWorkPlan);

    /**
     * 新增
     *
     * @param hxWorkPlan
     */
    void insertSelective(HxWorkPlan hxWorkPlan);

    /**
     * 更新
     *
     * @param hxWorkPlan
     */
    void updateSelective(HxWorkPlan hxWorkPlan);

    /**
     * 获取所有已经存在的项目名称
     *
     * @return
     */
    List<String> getAllProjectName();

    /**
     * 统计计划名称
     *
     * @param projectName
     * @return
     */
    Map getInfoByProjectName(String projectName);

    /**
     * 获取总的未完成数量和率
     *
     * @return
     */
    Map getTotalAndRate();

}
