package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
*
*
* @author ailanyin
* @version 1.0
* @since 2022-01-15 10:48:21
*/
@Data
public class HxCarLocation implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @Excel(name = "ID", width = 20)
    private Long id;

    @ApiModelProperty(value = "车牌号")
    @Excel(name = "车牌号", width = 20)
    private String carId;

    @ApiModelProperty(value = "车子型号")
    @Excel(name = "车子型号", width = 20)
    private String carModel;

    @ApiModelProperty(value = "车子图片")
    @Excel(name = "车子图片", width = 20)
    private String carPic;

    @ApiModelProperty(value = "驾驶人姓名")
    @Excel(name = "驾驶人姓名", width = 20)
    private String driverName;

    @ApiModelProperty(value = "驾驶人手机号")
    @Excel(name = "驾驶人手机号", width = 20)
    private String driverPhone;

    @ApiModelProperty(value = "车辆定位卡编号")
    @Excel(name = "车辆定位卡编号", width = 20)
    private String locationCardNum;

    @ApiModelProperty(value = "车辆定位卡去0编号(前端用不到)")
    @Excel(name = "车辆定位卡去0编号(前端用不到)", width = 20)
    private Integer locationCardNumber;

    @ApiModelProperty(value = "创建时间")
    @Excel(name = "创建时间", format = "yyyy-MM-dd HH:mm:ss", width = 30)
    private Date createTime;

}
