package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
* 
*
* @author ailanyin
* @version 1.0
* @since 2022-01-17 02:12:25
*/
@Data
public class HxCarLocationMap implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "图片地址")
    @Excel(name = "图片地址", width = 20)
    private String pic;

    @ApiModelProperty(value = "X轴像素")
    @Excel(name = "X轴像素", width = 20)
    private Integer xPixel;

    @ApiModelProperty(value = "Y轴像素")
    @Excel(name = "Y轴像素", width = 20)
    private Integer yPixel;

    @ApiModelProperty(value = "比例尺")
    @Excel(name = "比例尺", width = 20)
    private Integer scale;

}
