package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/23 0023 下午 13:15
 */

@Data
public class HxChargeDeliver implements Serializable {

    private Long id;

    @ApiModelProperty(value = "月份")
    @Excel(name = "月份", width = 20)
    private String month;

    @ApiModelProperty(value = "大型装药量数量")
    @Excel(name = "大型装药量数量", width = 20)
    private String bigCharge;

    @ApiModelProperty(value = "中型装药量数量")
    @Excel(name = "中型装药量数量", width = 20)
    private String mediumCharge;

    @ApiModelProperty(value = "小型装药量数量")
    @Excel(name = "小型装药量数量", width = 20)
    private String smallCharge;

    @ApiModelProperty(value = "目标装药量")
    @Excel(name = "目标装药量", width = 20)
    private String targetCharge;

    @ApiModelProperty(value = "交付数量")
    @Excel(name = "交付数量", width = 20)
    private String realDeliver;

    @ApiModelProperty(value = "目标交付数量")
    @Excel(name = "目标交付数量", width = 20)
    private String targetDeliver;

    private static final long serialVersionUID = 1L;
}
