package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/20 0020 下午 19:52
 */

@Data
public class HxChargeJobContent implements Serializable {

    private Long id;

    @ApiModelProperty(value = "编号")
    @Excel(name = "编号", width = 20)
    private String numberNo;

    @ApiModelProperty(value = "称量")
    @Excel(name = "称量", width = 20)
    private String weighing;

    @ApiModelProperty(value = "混合")
    @Excel(name = "混合", width = 20)
    private String blend;

    @ApiModelProperty(value = "浇筑")
    @Excel(name = "浇筑", width = 20)
    private String pouring;

    @ApiModelProperty(value = "总体推迟时间")
    @Excel(name = "总体推迟时间", width = 20)
    private String delayTime;

    @ApiModelProperty(value = "倒班车")
    @Excel(name = "倒班车", width = 20)
    private String reverseBus;

    private String remark;

    private Date createTime;

    private static final long serialVersionUID = 1L;
}
