package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 民品收入
 *
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/15 0015 上午 11:24
 */

@Data
public class HxCivilIncome implements Serializable {

    private Long id;

    @ApiModelProperty(value = "月份")
    @Excel(name = "月份", width = 20)
    private String month;

    @ApiModelProperty(value = "部门名称")
    @Excel(name = "部门名称", width = 20)
    private String deptName;

    @ApiModelProperty(value = "预测收入")
    @Excel(name = "预测收入", width = 20)
    private String forecastIncome;

    @ApiModelProperty(value = "实际收入")
    @Excel(name = "实际收入", width = 20)
    private String realIncome;

    private static final long serialVersionUID = 1L;
}
