package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/15 0015 下午 15:45
 */

@Data
public class HxComprehensivePlan implements Serializable {

    private Long id;

    @ApiModelProperty(value = "月份")
    @Excel(name = "月份", width = 20)
    private String month;

    @ApiModelProperty(value = "部门")
    @Excel(name = "部门", width = 20)
    private String deptName;

    @ApiModelProperty(value = "综合计划数量")
    @Excel(name = "综合计划数量", width = 20)
    private String comprehensivePlanTotal;

    @ApiModelProperty(value = "综合计划完成数量")
    @Excel(name = "综合计划完成数量", width = 20)
    private String comprehensivePlanCompleted;

    @ApiModelProperty(value = "绩效计划数量")
    @Excel(name = "绩效计划数量", width = 20)
    private String performancePlanTotal;

    @ApiModelProperty(value = "绩效计划完成数")
    @Excel(name = "绩效计划完成数", width = 20)
    private String performancePlanCompleted;

    private static final long serialVersionUID = 1L;
}
