package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/17 0017 下午 15:58
 */

@Data
public class HxDeptOperateIndex implements Serializable {

    private Long id;

    @ApiModelProperty(value = "月份")
    @Excel(name = "月份", width = 20)
    private String month;

    @ApiModelProperty(value = "部门名称")
    @Excel(name = "部门名称", width = 20)
    private String deptName;

    @ApiModelProperty(value = "实际收入")
    @Excel(name = "实际收入", width = 20)
    private String realIncome;

    @ApiModelProperty(value = "目标收入")
    @Excel(name = "目标收入", width = 20)
    private String targetIncome;

    @ApiModelProperty(value = "预测收入")
    @Excel(name = "预测收入", width = 20)
    private String forecastIncome;

    @ApiModelProperty(value = "实际利润")
    @Excel(name = "实际利润", width = 20)
    private String realProfit;

    @ApiModelProperty(value = "目标利润")
    @Excel(name = "目标利润", width = 20)
    private String targetProfit;

    @ApiModelProperty(value = "预测利润")
    @Excel(name = "预测利润", width = 20)
    private String forecastProfit;

    @ApiModelProperty(value = "实际EVA")
    @Excel(name = "实际EVA", width = 20)
    private String realEva;

    @ApiModelProperty(value = "目标EVA")
    @Excel(name = "目标EVA", width = 20)
    private String targetEva;

    @ApiModelProperty(value = "预测EVA")
    @Excel(name = "预测EVA", width = 20)
    private String forecastEva;

    @ApiModelProperty(value = "实际产成品")
    @Excel(name = "实际产成品", width = 20)
    private String realFinishProduct;

    @ApiModelProperty(value = "目标产成品")
    @Excel(name = "目标产成品", width = 20)
    private String targetFinishProduct;

    @ApiModelProperty(value = "预测产成品")
    @Excel(name = "预测产成品", width = 20)
    private String forecastFinishProduct;

    @ApiModelProperty(value = "实际应收账款")
    @Excel(name = "实际应收账款", width = 20)
    private String realCollection;

    @ApiModelProperty(value = "目标应收账款")
    @Excel(name = "目标应收账款", width = 20)
    private String targetCollection;

    @ApiModelProperty(value = "预测应收账款")
    @Excel(name = "预测应收账款", width = 20)
    private String forecastCollection;

    @ApiModelProperty(value = "收入序时进度")
    @Excel(name = "收入序时进度", width = 20)
    private String incomeSpeed;

    private static final long serialVersionUID = 1L;
}
