package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/22 0022 下午 13:15
 */

@Data
public class HxDispatchMeeting implements Serializable {

    private Long id;

    @ApiModelProperty(value = "工作内容")
    @Excel(name = "工作内容", width = 20)
    private String jobContent;

    @ApiModelProperty(value = "会议名称")
    @Excel(name = "会议名称", width = 20)
    private String meetingName;

    @ApiModelProperty(value = "督办领导")
    @Excel(name = "督办领导", width = 20)
    private String checkLeader;

    @ApiModelProperty(value = "责任单位")
    @Excel(name = "责任单位", width = 20)
    private String responsibleUnit;

    @ApiModelProperty(value = "是否完成")
    @Excel(name = "是否完成", width = 20)
    private String completeStatus;

    @ApiModelProperty(value = "工作进展")
    @Excel(name = "工作进展", width = 20)
    private String workProgress;

    private static final long serialVersionUID = 1L;
}
