package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/20 0020 下午 18:20
 */

@Data
public class HxEsterProduction implements Serializable {

    private Long id;

    @ApiModelProperty(value = "酯工作内容")
    @Excel(name = "酯工作内容", width = 20)
    private String jobContent;

    @ApiModelProperty(value = "开车时间")
    @Excel(name = "开车时间", width = 20)
    private String driveDate;

    @ApiModelProperty(value = "预计结束时间")
    @Excel(name = "预计结束时间", width = 20)
    private String forecastEndDate;

    @ApiModelProperty(value = "酯生产量")
    @Excel(name = "酯生产量", width = 20)
    private String esterProduction;

    @ApiModelProperty(value = "粘合剂干燥情况")
    @Excel(name = "粘合剂干燥情况", width = 20)
    private String cleanStatus;

    private String remark;

    private static final long serialVersionUID = 1L;
}
