package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/17 0017 上午 9:50
 */

@Data
public class HxFactoryOperateIndex implements Serializable {

    private Long id;

    @ApiModelProperty(value = "月份")
    @Excel(name = "月份", width = 20)
    private String month;

    @ApiModelProperty(value = "实际收入")
    @Excel(name = "实际收入", width = 20)
    private String realIncome;

    @ApiModelProperty(value = "目标收入")
    private String targetIncome;

    @ApiModelProperty(value = "实际利润")
    @Excel(name = "实际利润", width = 20)
    private String realProfit;

    @ApiModelProperty(value = "目标利润")
    private String targetProfit;

    @ApiModelProperty(value = "实际EVA")
    @Excel(name = "实际EVA", width = 20)
    private String realEva;

    @ApiModelProperty(value = "目标EVA")
    private String targetEva;

    @ApiModelProperty(value = "实际产成品")
    @Excel(name = "实际产成品", width = 20)
    private String realFinishProduct;

    @ApiModelProperty(value = "目标产成品")
    private String targetFinishProduct;

    @ApiModelProperty(value = "实际应收账款")
    @Excel(name = "实际应收账款", width = 20)
    private String realCollection;

    @ApiModelProperty(value = "目标应收账款")
    private String targetCollection;

    @ApiModelProperty(value = "预算执行率")
    @Excel(name = "预算执行率", width = 20)
    private String budgetImplementRate;

    private static final long serialVersionUID = 1L;
}
