package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/16 0016 下午 13:50
 */

@Data
public class HxGeneralPlantConditions implements Serializable {

    private Long id;

    @ApiModelProperty(value = "月份")
    @Excel(name = "月份", width = 20)
    private String month;

    @ApiModelProperty(value = "目标收入")
    @Excel(name = "目标收入", width = 20)
    private String targetIncome;

    @ApiModelProperty(value = "实际收入")
    @Excel(name = "实际收入", width = 20)
    private String realIncome;

    @ApiModelProperty(value = "目标利润")
    @Excel(name = "目标利润", width = 20)
    private String targetProfit;

    @ApiModelProperty(value = "实际利润")
    @Excel(name = "实际利润", width = 20)
    private String realProfit;

    @ApiModelProperty(value = "新签合同额")
    @Excel(name = "新签合同额", width = 20)
    private String newContractAmount;

    private static final long serialVersionUID = 1L;
}
