package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/8 0008 下午 17:03
 */
@Data
public class HxHiddenDanger implements Serializable {

    private Long id;

    @ApiModelProperty(value = "检查日期")
    @Excel(name = "检查日期", width = 20)
    private String checkDate;

    @ApiModelProperty(value = "所在位置")
    @Excel(name = "所在位置", width = 20)
    private String address;

    @ApiModelProperty(value = "存在问题")
    @Excel(name = "存在问题", width = 20)
    private String existProblem;

    @ApiModelProperty(value = "类别")
    @Excel(name = "类别", width = 20)
    private String category;

    @ApiModelProperty(value = "整改建议")
    @Excel(name = "整改建议", width = 20)
    private String updateSuggest;

    @ApiModelProperty(value = "临时控制措施")
    @Excel(name = "临时控制措施", width = 20)
    private String tempUpdateMethod;

    @ApiModelProperty(value = "责任单位")
    @Excel(name = "责任单位", width = 20)
    private String responsibleUnit;

    @ApiModelProperty(value = "责任人")
    @Excel(name = "责任人", width = 20)
    private String responsiblePerson;

    @ApiModelProperty(value = "建议完成日期")
    @Excel(name = "建议完成日期", width = 20)
    private String suggestCompleteTime;

    private Date createTime;

    private static final long serialVersionUID = 1L;
}
