package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/23 0023 下午 19:06
 */

@Data
public class HxJobDetails implements Serializable {

    private Long id;

    @ApiModelProperty(value = "工房名称")
    @Excel(name = "工房名称", width = 20)
    private String workHome;

    @ApiModelProperty(value = "车间名称")
    @Excel(name = "车间名称", width = 20)
    private String workshop;

    @ApiModelProperty(value = "产品")
    @Excel(name = "产品", width = 20)
    private String product;

    @ApiModelProperty(value = "工序名称")
    @Excel(name = "工序名称", width = 20)
    private String procedure;

    @ApiModelProperty(value = "危险级别")
    @Excel(name = "危险级别", width = 20)
    private String dangerLevel;


    private static final long serialVersionUID = 1L;
}
