package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/21 0021 上午 10:41
 */

@Data
public class HxMaterialsAccessories implements Serializable {

    private Long id;
    @ApiModelProperty(value = "前端不要显示这个字段")
    //@Excel(name = "日期", width = 20)
    private String todayDate;

    @ApiModelProperty(value = "类型(原材料/配套件)")
    @Excel(name = "类型(原材料/配套件)", width = 20)
    private String category;

    @ApiModelProperty(value = "型号名称")
    @Excel(name = "型号名称", width = 20)
    private String name;

    @ApiModelProperty(value = "现有可满足生产台数")
    @Excel(name = "现有可满足生产台数", width = 20)
    private String existing;

    @ApiModelProperty(value = "到货")
    @Excel(name = "到货数量", width = 20)
    private String arrival;

    @ApiModelProperty(value = "已用数量")
    @Excel(name = "已用数量", width = 20)
    private String used;

    @ApiModelProperty(value = "缺少数量")
    @Excel(name = "缺少数量", width = 20)
    private String lack;

    private static final long serialVersionUID = 1L;
}
