package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/16 0016 下午 17:32
 */

@Data
public class HxMilitaryContract implements Serializable {

    private Long id;

    @ApiModelProperty(value = "合同名称")
    @Excel(name = "合同名称", width = 20)
    private String contractName;

    @ApiModelProperty(value = "签订日期")
    @Excel(name = "签订日期", width = 20)
    private String contractDate;

    @ApiModelProperty(value = "计划数量")
    @Excel(name = "计划数量", width = 20)
    private String planQuantity;

    @ApiModelProperty(value = "签订金额")
    @Excel(name = "签订金额", width = 20)
    private String contractAmount;

    @ApiModelProperty(value = "生产情况")
    @Excel(name = "生产情况", width = 20)
    private String productionStatus;

    @ApiModelProperty(value = "结算情况")
    @Excel(name = "结算情况", width = 20)
    private String settlementStatus;

    @ApiModelProperty(value = "备注")
    @Excel(name = "备注", width = 20)
    private String remark;

    private static final long serialVersionUID = 1L;
}
