package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/21 0021 上午 11:29
 */

@Data
public class HxProductionPlan implements Serializable {

    private Long id;

    @ApiModelProperty(value = "月份")
    @Excel(name = "月份", width = 20)
    private String month;

    @ApiModelProperty(value = "产品型号")
    @Excel(name = "产品型号", width = 20)
    private String productModel;

    @ApiModelProperty(value = "绝热数量")
    @Excel(name = "实际绝热数量", width = 20)
    private String realAdiabat;
    @Excel(name = "实际装药数量", width = 20)
    private String realCharge;
    @Excel(name = "实际总装数量", width = 20)
    private String realAssembly;

    @Excel(name = "实际交付数量", width = 20)
    private String realDeliver;
    @ApiModelProperty(value = "装药数量")

    @Excel(name = "预测绝热数量", width = 20)
    private String forecastAdiabat;
    @Excel(name = "预测装药数量", width = 20)
    private String forecastCharge;

    @ApiModelProperty(value = "总装数量")

    @Excel(name = "预测总装数量", width = 20)
    private String forecastAssembly;

    @ApiModelProperty(value = "交付数量")

    @Excel(name = "预测交付数量", width = 20)
    private String forecastDeliver;

    @ApiModelProperty(value = "评审数量")
    @Excel(name = "评审数量", width = 20)
    private String review;

    @ApiModelProperty(value = "结算数量")
    @Excel(name = "结算数量", width = 20)
    private String settlement;

    @ApiModelProperty(value = "生产数量")
    @Excel(name = "生产数量", width = 20)
    private String productionNumber;

    @ApiModelProperty(value = "计划归属")
    @Excel(name = "计划归属", width = 20)
    private String ascription;

    private static final long serialVersionUID = 1L;
}
