package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/20 0020 下午 21:58
 */

@Data
public class HxProductionSituation implements Serializable {

    private Long id;

    @ApiModelProperty(value = "月份")
    @Excel(name = "月份", width = 20)
    private String month;


    @ApiModelProperty(value = "绝热完成数量")
    @Excel(name = "绝热完成数量", width = 20)
    private String realAdiabat;


    @ApiModelProperty(value = "装药完成数")
    @Excel(name = "装药完成数", width = 20)
    private String realCharge;


    @ApiModelProperty(value = "总装完成数")
    @Excel(name = "总装完成数", width = 20)
    private String realAssemble;


    @ApiModelProperty(value = "实际交付数")
    @Excel(name = "实际交付数", width = 20)
    private String realDeliver;


    @ApiModelProperty(value = "酯实际产量")
    @Excel(name = "酯实际产量", width = 20)
    private String realEster;

    private static final long serialVersionUID = 1L;
}
