package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/23 0023 上午 9:37
 */

@Data
public class HxSpcProduct implements Serializable {

    private Long id;

    @ApiModelProperty(value = "SPC参数")
    @Excel(name = "SPC参数", width = 20)
    private String spcName;

    @ApiModelProperty(value = "产品实物名称")
    @Excel(name = "产品实物名称", width = 20)
    private String productName;

    @ApiModelProperty(value = "实际值")
    @Excel(name = "实际值", width = 20)
    private String realValue;

    private static final long serialVersionUID = 1L;
}
