package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/22 0022 下午 17:13
 */

@Data
public class HxStockDetailed implements Serializable {

    private Long id;

    @ApiModelProperty(value = "分类(原材料/配套件)")
    @Excel(name = "分类(原材料/配套件)", width = 20)
    private String category;

    @ApiModelProperty(value = "项目名称")
    @Excel(name = "项目名称", width = 20)
    private String projectName;

    @ApiModelProperty(value = "原材料或配套件的名称")
    @Excel(name = "原材料或配套件的名称", width = 20)
    private String name;

    @ApiModelProperty(value = "数量")
    @Excel(name = "数量", width = 20)
    private String total;

    @ApiModelProperty(value = "到货数量")
    @Excel(name = "到货数量", width = 20)
    private String arrivalTotal;

    @ApiModelProperty(value = "已用数量")
    @Excel(name = "已用数量", width = 20)
    private String usedTotal;

    private static final long serialVersionUID = 1L;
}
