package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 系统雷达图
 *
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/14 0014 上午 9:44
 */
@Data
public class HxSystemRadar implements Serializable {

    private Long id;

    @ApiModelProperty(value = "日期")
    @Excel(name = "日期", width = 20)
    private String todayDate;

    @ApiModelProperty(value = "系统名称")
    @Excel(name = "系统名称", width = 20)
    private String systemName;

    @ApiModelProperty(value = "指标名称")
    @Excel(name = "指标名称", width = 20)
    private String indexName;

    @ApiModelProperty(value = "指标数量")
    @Excel(name = "指标数量", width = 20)
    private String indexTotal;

    private static final long serialVersionUID = 1L;
}
