package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/22 0022 下午 14:37
 */

@Data
public class HxYearDuty implements Serializable {

    private Long id;

    @ApiModelProperty(value = "年份")
    @Excel(name = "年份", width = 20)
    private String year;

    @ApiModelProperty(value = "产品型号")
    @Excel(name = "产品型号", width = 20)
    private String productModel;

    @ApiModelProperty(value = "实际累计生产数量")
    @Excel(name = "实际累计生产数量", width = 20)
    private String realTotal;

    @ApiModelProperty(value = "要求生产量")
    @Excel(name = "要求生产量", width = 20)
    private String targetTotal;

    private String rate;

    private static final long serialVersionUID = 1L;
}
