package com.ailanyin.admin.service;

import com.ailanyin.model.HxQualityInspectAnalysis;

import java.util.List;
import java.util.Map;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/10 0010 上午 11:23
 */
public interface HxQualityInspectAnalysisService {

    /**
     * 查询
     *
     * @param hxQualityInspectAnalysis
     * @return
     */
    List<HxQualityInspectAnalysis> selectHxQualityInspectAnalysisList(HxQualityInspectAnalysis hxQualityInspectAnalysis);

    /**
     * 导入
     *
     * @param list
     */
    void importData(List<HxQualityInspectAnalysis> list);

    /**
     * 大图
     *
     * @param type type=1总厂/2部门
     * @return
     */
    Map getHxQualityInspectByType(String type);
}
