package com.ailanyin.admin.service;

import com.ailanyin.model.HxRevenueProfit;

import java.util.List;
import java.util.Map;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/12 0012 下午 13:31
 */
public interface HxRevenueProfitService {

    /**
     * 查询
     *
     * @param hxRevenueProfit
     * @return
     */
    List<HxRevenueProfit> selectHxRevenueProfitList(HxRevenueProfit hxRevenueProfit);

    /**
     * 导入
     *
     * @param list
     */
    void importData(List<HxRevenueProfit> list);

    /**
     * 收入概况大图
     *
     * @return
     */
    List<Map> getRevenueProfilePic();

    /**
     * 利润概况大图
     *
     * @return
     */
    List<Map> getProfitProfilePic();

    /**
     * 获取大图
     *
     * @return
     */
    Map getBusinessResponsibility();

}
