package com.ailanyin.admin.service.impl;

import com.ailanyin.admin.service.HxAnnualTargetService;
import com.ailanyin.mapper.HxAnnualTargetMapper;
import com.ailanyin.model.HxAnnualTarget;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/12 0012 上午 11:47
 */
@Service
public class HxAnnualTargetServiceImpl implements HxAnnualTargetService {

    @Resource
    private HxAnnualTargetMapper hxAnnualTargetMapper;

    @Override
    public void addHxAnnualTarget(HxAnnualTarget hxAnnualTarget) {
        hxAnnualTargetMapper.insertSelective(hxAnnualTarget);
    }

    @Override
    public void updateHxAnnualTarget(HxAnnualTarget hxAnnualTarget) {
        hxAnnualTargetMapper.updateByPrimaryKeySelective(hxAnnualTarget);
    }

    @Override
    public List<HxAnnualTarget> selectHxAnnualTargetList(HxAnnualTarget hxAnnualTarget) {
        return hxAnnualTargetMapper.selectByParam(hxAnnualTarget);
    }
}
