package com.ailanyin.admin.service.impl;

import com.ailanyin.admin.service.HxBigPicService;
import com.ailanyin.mapper.HxBigPicMapper;
import com.ailanyin.model.HxBigPic;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/24 0024 上午 11:15
 */

@Service
public class HxBigPicServiceImpl implements HxBigPicService {

    @Resource
    private HxBigPicMapper hxBigPicMapper;

    @Override
    public List<HxBigPic> selectList(HxBigPic hxBigPic) {
        return hxBigPicMapper.selectList(hxBigPic);
    }

    @Override
    public void addHxBigPic(HxBigPic hxBigPic) {
        hxBigPicMapper.insertSelective(hxBigPic);
    }

    @Override
    public void updateHxBigPic(HxBigPic hxBigPic) {
        hxBigPicMapper.updateByPrimaryKeySelective(hxBigPic);
    }

    @Override
    public void delHxBigPicById(Long hxBigPicId) {
        hxBigPicMapper.deleteByPrimaryKey(hxBigPicId);
    }

    @Override
    public HxBigPic getByType(String type) {
        return hxBigPicMapper.getByType(type);
    }
}
