package com.ailanyin.admin.service.impl;

import com.ailanyin.mapper.HxTableConfigMapper;
import com.ailanyin.model.HxTableConfig;
import com.ailanyin.admin.service.HxTableConfigService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2022-03-08 09:18:14
 */
@Service
public class HxTableConfigServiceImpl implements HxTableConfigService {

    @Resource
    private HxTableConfigMapper hxTableConfigMapper;

    @Override
    public String selectByTableName(String tableName) {
        return hxTableConfigMapper.selectByTableName(tableName);
    }

    @Override
    public void updateByTableName(HxTableConfig hxTableConfig) {
        hxTableConfigMapper.updateByTableName(hxTableConfig);
    }
}
