drop table "ROOT"."hx_hidden_danger";


CREATE TABLE "ROOT"."hx_hidden_danger"
(
"id" BIGINT IDENTITY(1, 1) NOT NULL,
"check_date" VARCHAR(255),
"address" VARCHAR(255),
"exist_problem" VARCHAR(255),
"category" VARCHAR(255),
"update_suggest" VARCHAR(255),
"temp_update_method" VARCHAR(255),
"responsible_unit" VARCHAR(255),
"responsible_person" VARCHAR(255),
"suggest_complete_time" VARCHAR(255),
"create_time" TIMESTAMP(0),
NOT CLUSTER PRIMARY KEY("id")) STORAGE(ON "AITEST", CLUSTERBTR) ;

COMMENT ON COLUMN "ROOT"."hx_hidden_danger"."address" IS '所在位置';
COMMENT ON COLUMN "ROOT"."hx_hidden_danger"."category" IS '类别';
COMMENT ON COLUMN "ROOT"."hx_hidden_danger"."check_date" IS '检查日期';
COMMENT ON COLUMN "ROOT"."hx_hidden_danger"."exist_problem" IS '存在问题';
COMMENT ON COLUMN "ROOT"."hx_hidden_danger"."responsible_person" IS '责任人';
COMMENT ON COLUMN "ROOT"."hx_hidden_danger"."responsible_unit" IS '责任单位';
COMMENT ON COLUMN "ROOT"."hx_hidden_danger"."suggest_complete_time" IS '建议完成日期';
COMMENT ON COLUMN "ROOT"."hx_hidden_danger"."temp_update_method" IS '临时整改建议';
COMMENT ON COLUMN "ROOT"."hx_hidden_danger"."update_suggest" IS '整改建议';


CREATE UNIQUE  INDEX "INDEX915279446700" ON "ROOT"."hx_hidden_danger"("id" ASC) STORAGE(ON "AITEST", CLUSTERBTR) ;

