CREATE TABLE "ROOT"."hx_reader_info"
(
 "id" BIGINT NOT NULL,
 "reader_name" VARCHAR(255) NULL,
 "abscissa" INT NULL,
 "ordinate" INT NULL,
 "north_angle" INT NULL,
 "reader_ip" VARCHAR(255) NULL,
 "reader_port" INT NULL,
 "create_time" TIMESTAMP(0) NULL
);

ALTER TABLE "ROOT"."hx_reader_info" ADD CONSTRAINT  PRIMARY KEY("id") ;

CREATE UNIQUE INDEX "INDEX153059190622200" ON "ROOT"."hx_reader_info"("id");

COMMENT ON TABLE "ROOT"."hx_reader_info" IS '读卡器';

COMMENT ON COLUMN "ROOT"."hx_reader_info"."id" IS 'ID';

COMMENT ON COLUMN "ROOT"."hx_reader_info"."reader_name" IS '读卡器名称';

COMMENT ON COLUMN "ROOT"."hx_reader_info"."abscissa" IS '横坐标';

COMMENT ON COLUMN "ROOT"."hx_reader_info"."ordinate" IS '纵坐标';

COMMENT ON COLUMN "ROOT"."hx_reader_info"."north_angle" IS '与正北夹角';

COMMENT ON COLUMN "ROOT"."hx_reader_info"."reader_ip" IS '读卡器静态ip';

COMMENT ON COLUMN "ROOT"."hx_reader_info"."reader_port" IS '读卡器端口';

COMMENT ON COLUMN "ROOT"."hx_reader_info"."create_time" IS '录入时间';

