package com.ailanyin.mapper;

import com.ailanyin.model.HxCarLogConfig;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author ailanyin
* @version 1.0
* @since 2022-02-15 04:15:39
*/
@Mapper
public interface HxCarLogConfigMapper{

	/**
     * 条件查询列表
     *
     * @param hxCarLogConfig hxCarLogConfig
     * @return list
     */
    List<HxCarLogConfig> selectList(HxCarLogConfig hxCarLogConfig);

    /**
     * 新增
     *
     * @param hxCarLogConfig hxCarLogConfig
     */
    void insertSelective(HxCarLogConfig hxCarLogConfig);

    /**
     * 修改
     *
     * @param hxCarLogConfig hxCarLogConfig
     */
    void updateByPrimaryKeySelective(HxCarLogConfig hxCarLogConfig);

    /**
     * 批量删除
     *
     * @param ids ids
     */
    void deleteByIds(@Param("list") Long[] ids);

    /**
     * 主键查询
     *
     * @param id id
     * @return hxCarLogConfig
     */
    HxCarLogConfig selectByPrimaryKey(Long id);

    HxCarLogConfig selectOne();

}
