package com.ailanyin.mapper;

import com.ailanyin.model.HxMonthPlan;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/22 0022 下午 15:42
 */
public interface HxMonthPlanMapper {
    int checkIsExist(HxMonthPlan hxMonthPlan);

    List<HxMonthPlan> selectList(HxMonthPlan hxMonthPlan);

    void updateSelective(HxMonthPlan hxMonthPlan);

    void insertSelective(HxMonthPlan hxMonthPlan);

    @Select("select \"month\", \"product_model\" as \"model\",\"ascription\",\n" +
            "\"real_deliver\" as \"realDeliver\",\n" +
            "\"real_assembly\" as \"realAssemble\",\n" +
            "\"real_charge\" as \"realCharge\",\n" +
            "\"forecast_deliver\" as \"targetDeliver\",\n" +
            "\"forecast_assembly\" as \"targetAssemble\",\n" +
            "\"forecast_charge\" as \"targetCharge\"\n" +
            "from ROOT.\"hx_production_plan\"\n" +
            "where \"month\" = #{month}")
    List<HxMonthPlan> selectByMonth(HxMonthPlan hxMonthPlan);

    @Select("select \"month\", \"product_model\" as \"model\",\"ascription\",\n" +
            "\"real_deliver\" as \"realDeliver\",\n" +
            "\"real_assembly\" as \"realAssemble\",\n" +
            "\"real_charge\" as \"realCharge\",\n" +
            "\"forecast_deliver\" as \"targetDeliver\",\n" +
            "\"forecast_assembly\" as \"targetAssemble\",\n" +
            "\"forecast_charge\" as \"targetCharge\"\n" +
            "from ROOT.\"hx_production_plan\"")
    List<HxMonthPlan> selectAll(HxMonthPlan hxMonthPlan);
}
