package com.ailanyin.mapper;

import com.ailanyin.model.HxPlanCompleted;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/14 0014 上午 9:15
 */
public interface HxPlanCompletedMapper {

    /**
     * 查询
     *
     * @param hxPlanCompleted
     * @return
     */
    List<HxPlanCompleted> selectHxPlanCompletedList(HxPlanCompleted hxPlanCompleted);

    /**
     * 查重
     *
     * @param hxPlanCompleted
     * @return
     */
    int checkIsExist(HxPlanCompleted hxPlanCompleted);

    /**
     * 新增
     *
     * @param hxPlanCompleted
     */
    void insertSelective(HxPlanCompleted hxPlanCompleted);

    /**
     * 更新
     *
     * @param hxPlanCompleted
     */
    void updateSelective(HxPlanCompleted hxPlanCompleted);

    /**
     * 查所有的部门 by month
     *
     * @param month
     * @return
     */
    List<String> getAllDeptListByMonth(String month);

    /**
     * 大图
     *
     * @param dept
     * @param month
     * @return
     */
    Map selectDeptInfoByMonth(@Param("dept") String dept, @Param("month") String month);

    /**
     * 获取所有日期
     *
     * @return
     */
    List<String> getAllDate();

    /**
     * 查询
     *
     * @param month
     * @return
     */
    Map selectByMonth(String month);
}
