package com.ailanyin.mapper;

import com.ailanyin.model.HxQualitySystemReview;

import java.util.List;
import java.util.Map;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/13 0013 下午 16:35
 */
public interface HxQualitySystemReviewMapper {

    /**
     * 查询
     *
     * @param hxQualitySystemReview
     * @return
     */
    List<HxQualitySystemReview> selectHxQualitySystemReviewList(HxQualitySystemReview hxQualitySystemReview);

    /**
     * 查重
     *
     * @param todayDate
     * @return
     */
    int checkIsExist(String todayDate);

    /**
     * 新增
     *
     * @param hxQualitySystemReview
     */
    void insertSelective(HxQualitySystemReview hxQualitySystemReview);

    /**
     * 更新
     *
     * @param hxQualitySystemReview
     */
    void updateSelective(HxQualitySystemReview hxQualitySystemReview);

    List<Map> selectPic1();

    List<String> getAllExistSystemName();

    List<String> getAllExistDeptName();

    List<Map> selectAllSystemNameByDept(String dept);
}
