package com.ailanyin.mapper;

import com.ailanyin.model.HxSpcInfo;

import java.util.List;
import java.util.Map;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/10 0010 上午 9:57
 */
public interface HxSpcInfoMapper {
    /**
     * 查询
     *
     * @param hxSpcInfo
     * @return
     */
    List<HxSpcInfo> selectHxSpcInfoList(HxSpcInfo hxSpcInfo);

    /**
     * 新增
     *
     * @param hxSpcInfo
     */
    void insertSelective(HxSpcInfo hxSpcInfo);

    /**
     * 获取所有分类
     *
     * @return
     */
    List<String> getHxAllSpcCategory();

    /**
     * 大图
     *
     * @param category
     * @return
     */
    List<HxSpcInfo> getHxSpcPic(String category);

    int checkIsExist(HxSpcInfo hxSpcInfo);

    void updateSelective(HxSpcInfo hxSpcInfo);
}
