package com.ailanyin.mapper;

import com.ailanyin.model.HxSynthesizeIndex;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/15 0015 下午 13:44
 */
public interface HxSynthesizeIndexMapper {
    int checkIsExist(HxSynthesizeIndex hxSynthesizeIndex);

    List<HxSynthesizeIndex> selectList(HxSynthesizeIndex hxSynthesizeIndex);

    void insertSelective(HxSynthesizeIndex hxSynthesizeIndex);

    void updateSelective(HxSynthesizeIndex hxSynthesizeIndex);

    List<String> getAllDeptByYear(String nowYear);

    Map getByDeptAndYear(@Param("dept") String dept, @Param("year") String nowYear);

    Long getZeroTotalByYear(String nowYear);

    String getRateByYear(String nowYear);
}
