package com.ailanyin.mapper;

import com.ailanyin.model.HxYearDuty;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/22 0022 下午 14:40
 */
@Mapper
public interface HxYearDutyMapper {
    int checkIsExist(HxYearDuty hxYearDuty);

    List<HxYearDuty> selectList(HxYearDuty hxYearDuty);

    void updateSelective(HxYearDuty hxYearDuty);

    void insertSelective(HxYearDuty hxYearDuty);

    @Select("select sum(\"assembly\") from ROOT.\"actual_production_base\" where \"month\" like #{year} and \"model\" = #{model}")
    Integer selectRealTotal(@Param("year") String year, @Param("model") String model);
}
