package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/12 0012 下午 15:37
 */
@Data
public class HxBusinessResponsibility implements Serializable {

    private Long id;

    @ApiModelProperty(value = "月份")
    @Excel(name = "月份", width = 20)
    private String month;

    @ApiModelProperty(value = "指标名称")
    @Excel(name = "指标名称", width = 20)
    private String indicatorName;

    @ApiModelProperty(value = "已完成数量")
    @Excel(name = "已完成数量", width = 20)
    private String completedTasks;

    @ApiModelProperty(value = "目标数量")
    @Excel(name = "目标数量", width = 20)
    private String targetTasks;

    private static final long serialVersionUID = 1L;
}
