package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
* 
*
* @author ailanyin
* @version 1.0
* @since 2022-02-15 04:15:39
*/
@Data
public class HxCarLogConfig implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "")
    @Excel(name = "", width = 20)
    private Long id;

    @ApiModelProperty(value = "最大条数")
    @Excel(name = "最大条数", width = 20)
    private Integer maxTotal;

    @ApiModelProperty(value = "最大天数")
    @Excel(name = "最大天数", width = 20)
    private Integer maxDay;

    @ApiModelProperty(value = "")
    @Excel(name = "", format = "yyyy-MM-dd HH:mm:ss", width = 30)
    private Date createTime;

}
