package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/20 0020 下午 14:44
 */

@Data
public class HxCarUse implements Serializable {

    private Long id;

    @ApiModelProperty(value = "日期")
    @Excel(name = "日期", width = 20)
    private String todayDate;

    @ApiModelProperty(value = "汽车名称")
    @Excel(name = "汽车名称", width = 20)
    private String carName;

    @ApiModelProperty(value = "作业内容")
    @Excel(name = "作业内容", width = 20)
    private String workContent;

    @ApiModelProperty(value = "当前位置")
    @Excel(name = "当前位置", width = 20)
    private String nowAddress;

    @ApiModelProperty(value = "车辆状态")
    @Excel(name = "车辆状态", width = 20)
    private String carStatus;

    @ApiModelProperty(value = "备注")
    @Excel(name = "备注", width = 20)
    private String remark;

    private static final long serialVersionUID = 1L;
}
