package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/16 0016 下午 14:54
 */

@Data
public class HxCivilContract implements Serializable {

    private Long id;

    @ApiModelProperty(value = "合同日期")
    @Excel(name = "合同日期", width = 20)
    private String contractDate;

    @ApiModelProperty(value = "产业类型")
    @Excel(name = "产业类型", width = 20)
    private String industryCategory;

    @ApiModelProperty(value = "合同编号")
    @Excel(name = "合同编号", width = 20)
    private String contractNo;

    @ApiModelProperty(value = "签订金额")
    @Excel(name = "签订金额", width = 20)
    private String contractAmount;

    @ApiModelProperty(value = "策划生产数量")
    @Excel(name = "策划生产数量", width = 20)
    private String planQuantity;

    @ApiModelProperty(value = "实际生产数量")
    @Excel(name = "实际生产数量", width = 20)
    private String realQuantity;

    @ApiModelProperty(value = "备注")
    @Excel(name = "备注", width = 20)
    private String remark;

    private static final long serialVersionUID = 1L;
}
