package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/16 0016 上午 11:38
 */

@Data
public class HxCostAnalysis implements Serializable {

    private Long id;

    @ApiModelProperty(value = "月份")
    @Excel(name = "月份", width = 20)
    private String month;

    @ApiModelProperty(value = "产品型号")
    @Excel(name = "产品型号", width = 20)
    private String productModel;

    @ApiModelProperty(value = "预算执行率")
    @Excel(name = "预算执行率", width = 20)
    private String budgetImplementationRate;

    @ApiModelProperty(value = "工装成本")
    @Excel(name = "工装成本", width = 20)
    private String toolingCost;

    @ApiModelProperty(value = "原材料成本")
    @Excel(name = "原材料成本", width = 20)
    private String rawMaterialCost;

    @ApiModelProperty(value = "总成本")
    @Excel(name = "总成本", width = 20)
    private String totalCost;

    private static final long serialVersionUID = 1L;

}
