package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/17 0017 上午 9:56
 */

@Data
public class HxFactoryOperateIndexTarget implements Serializable {

    private Long id;

    @ApiModelProperty(value = "月份")
    @Excel(name = "月份", width = 20)
    private String month;

    @ApiModelProperty(value = "目标收入")
    @Excel(name = "目标收入", width = 20)
    private String targetIncome;

    @ApiModelProperty(value = "目标利润")
    @Excel(name = "目标利润", width = 20)
    private String targetProfit;

    @ApiModelProperty(value = "目标EVA")
    @Excel(name = "目标EVA", width = 20)
    private String targetEva;

    @ApiModelProperty(value = "目标产成品")
    @Excel(name = "目标产成品", width = 20)
    private String targetFinishProduct;

    @ApiModelProperty(value = "目标应收账款")
    @Excel(name = "目标应收账款", width = 20)
    private String targetCollection;

    private static final long serialVersionUID = 1L;
}
