package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/20 0020 上午 11:17
 */

@Data
public class HxFactoryResources implements Serializable {

    private Long id;

    @ApiModelProperty(value = "日期")
    @Excel(name = "日期", width = 20)
    private String todayDate;

    @ApiModelProperty(value = "工房总数")
    @Excel(name = "工房总数", width = 20)
    private String workshopTotal;

    @ApiModelProperty(value = "作业工房数")
    @Excel(name = "作业工房数", width = 20)
    private String workingWorkshopTotal;

    @ApiModelProperty(value = "实际出勤人数")
    @Excel(name = "实际出勤人数", width = 20)
    private String realAttendance;

    @ApiModelProperty(value = "应出勤总数")
    @Excel(name = "应出勤总数", width = 20)
    private String attendanceTotal;

    @ApiModelProperty(value = "出勤率")
    //@Excel(name = "出勤率", width = 20)
    private String attendanceRate;

    @ApiModelProperty(value = "设备运行数")
    @Excel(name = "设备运行数", width = 20)
    private String equipmentRunTotal;

    @ApiModelProperty(value = "设备总数")
    @Excel(name = "设备总数", width = 20)
    private String equipmentTotal;

    @ApiModelProperty(value = "设备运行率")
    //@Excel(name = "设备运行率", width = 20)
    private String equipmentRunRate;

    @ApiModelProperty(value = "视频正常采集率")
    @Excel(name = "视频正常采集率", width = 20)
    private String videoCollectionRate;

    @ApiModelProperty(value = "备注")
    @Excel(name = "备注", width = 20)
    private String remark;
}
