package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 *
 * 信息公开-民用产业项目信息
 *
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/15 0015 下午 14:24
 */

@Data
public class HxIndustrialProjects implements Serializable {

    private Long id;

    @ApiModelProperty(value = "项目名称")
    @Excel(name = "项目名称", width = 20)
    private String projectName;

    @ApiModelProperty(value = "部门名称")
    @Excel(name = "部门名称", width = 20)
    private String deptName;

    @ApiModelProperty(value = "负责人")
    @Excel(name = "负责人", width = 20)
    private String director;

    @ApiModelProperty(value = "完成情况")
    @Excel(name = "完成情况", width = 20)
    private String completedStatus;

    private static final long serialVersionUID = 1L;

}
