package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/15 0015 下午 15:12
 */

@Data
public class HxInformationPublicity implements Serializable {

    private Long id;

    @ApiModelProperty(value = "部门名称")
    @Excel(name = "部门名称", width = 20)
    private String deptName;

    @ApiModelProperty(value = "公示内容")
    @Excel(name = "公示内容", width = 20)
    private String publicityContent;

    @ApiModelProperty(value = "日期")
    @Excel(name = "日期", width = 20)
    private String todayDate;

    private static final long serialVersionUID = 1L;
}
