package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/22 0022 上午 11:29
 */

@Data
public class HxMaterialPlan implements Serializable {

    private Long id;

    @ApiModelProperty(value = "物资名称")
    @Excel(name = "物资名称", width = 20)
    private String materialName;

    @ApiModelProperty(value = "现有库存")
    @Excel(name = "现有库存", width = 20)
    private String stock;

    @ApiModelProperty(value = "是否开始备货采购")
    @Excel(name = "是否开始备货采购", width = 20)
    private String startPurchase;

    @ApiModelProperty(value = "采购数量")
    @Excel(name = "采购数量", width = 20)
    private String purchaseNumber;

    @ApiModelProperty(value = "入库时间")
    @Excel(name = "入库时间", width = 20)
    private String createTime;

    private static final long serialVersionUID = 1L;
}
