package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/22 0022 上午 10:12
 */

@Data
public class HxMilepostAndBottleneck implements Serializable {

    private Long id;

    @ApiModelProperty(value = "项目名称")
    @Excel(name = "项目名称", width = 20)
    private String projectName;

    @ApiModelProperty(value = "工作内容")
    @Excel(name = "工作内容", width = 20)
    private String jobContent;

    @ApiModelProperty(value = "进展情况")
    @Excel(name = "进展情况", width = 20)
    private String progress;

    @ApiModelProperty(value = "预计完成时间")
    @Excel(name = "预计完成时间", width = 20)
    private String forecastCompleteTime;

    @ApiModelProperty(value = "目标完成时间")
    @Excel(name = "目标完成时间", width = 20)
    private String targetCompleteTime;

    private String remark;

    private static final long serialVersionUID = 1L;
}
