package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/16 0016 下午 18:30
 */

@Data
public class HxMilitaryGeneralFactory implements Serializable {

    private Long id;

    @ApiModelProperty(value = "月度")
    @Excel(name = "月度", width = 20)
    private String month;

    @ApiModelProperty(value = "产品型号")
    @Excel(name = "产品型号", width = 20)
    private String productModel;

    @ApiModelProperty(value = "目标收入")
    @Excel(name = "目标收入", width = 20)
    private String targetIncome;

    @ApiModelProperty(value = "实际收入")
    @Excel(name = "实际收入", width = 20)
    private String realIncome;

    @ApiModelProperty(value = "收入序时进度")
    @Excel(name = "收入序时进度", width = 20)
    private String incomeSpeed;

    @ApiModelProperty(value = "目标利润")
    @Excel(name = "目标利润", width = 20)
    private String targetProfit;

    @ApiModelProperty(value = "实际利润")
    @Excel(name = "实际利润", width = 20)
    private String realProfit;

    @ApiModelProperty(value = "利润序时进度")
    @Excel(name = "利润序时进度", width = 20)
    private String profitSpeed;

    private static final long serialVersionUID = 1L;
}
