package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/21 0021 上午 10:18
 */

@Data
public class HxModelStation implements Serializable {

    private Long id;

    private Date createTime;

    @ApiModelProperty(value = "工位名称")
    @Excel(name = "工位名称(硫化/固化)", width = 20)
    private String stationName;

    @ApiModelProperty(value = "升温工位数")
    @Excel(name = "升温工位数", width = 20)
    private String riseNumber;

    @ApiModelProperty(value = "降温工位数")
    @Excel(name = "降温工位数", width = 20)
    private String coolingNumber;

    @ApiModelProperty(value = "保温工位数")
    @Excel(name = "保温工位数", width = 20)
    private String warmNumber;

    @ApiModelProperty(value = "空闲工位数")
    @Excel(name = "空闲工位数", width = 20)
    private String freeNumber;

    private String total;

    private static final long serialVersionUID = 1L;
}
