package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/21 0021 上午 11:52
 */

@Data
public class HxModelYearPlan implements Serializable {

    private Long id;

    @ApiModelProperty(value = "年份")
    @Excel(name = "年份", width = 20)
    private String year;

    @ApiModelProperty(value = "产品型号")
    @Excel(name = "产品型号", width = 20)
    private String productModel;

    @ApiModelProperty(value = "实际装药量")
    @Excel(name = "实际装药量", width = 20)
    private String realCharge;

    @ApiModelProperty(value = "总装药任务")
    @Excel(name = "总装药任务", width = 20)
    private String targetCharge;

    @ApiModelProperty(value = "装药率")
    private String chargeRate;

    @ApiModelProperty(value = "实际交付")
    @Excel(name = "实际交付", width = 20)
    private String realDeliver;

    @ApiModelProperty(value = "总交付任务")
    @Excel(name = "总交付任务", width = 20)
    private String targetDeliver;

    @ApiModelProperty(value = "交付率")
    private String deliverRate;

    private static final long serialVersionUID = 1L;
}
