package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/22 0022 下午 16:26
 */

@Data
public class HxMonthFactoryPlan implements Serializable {

    private Long id;

    @ApiModelProperty(value = "月份")
    @Excel(name = "月份", width = 20)
    private String month;

    @ApiModelProperty(value = "隔热完成数量")
    @Excel(name = "隔热完成数量", width = 20)
    private String realInsulate;

    @ApiModelProperty(value = "隔热计划数量")
    @Excel(name = "隔热计划数量", width = 20)
    private String targetInsulate;

    @ApiModelProperty(value = "装药完成数量")
    @Excel(name = "装药完成数量", width = 20)
    private String realCharge;

    @ApiModelProperty(value = "装药计划数量")
    @Excel(name = "装药计划数量", width = 20)
    private String targetCharge;

    @ApiModelProperty(value = "总装完成数量")
    @Excel(name = "总装完成数量", width = 20)
    private String realAssemble;

    @ApiModelProperty(value = "总装计划数量")
    @Excel(name = "总装计划数量", width = 20)
    private String targetAssemble;

    @ApiModelProperty(value = "未完成原因")
    private String badReason;

    private String insulateRate;

    private String chargeRate;

    private String assembleRate;

    private static final long serialVersionUID = 1L;
}
