package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/22 0022 下午 15:38
 */

@Data
public class HxMonthPlan implements Serializable {

    private Long id;

    @ApiModelProperty(value = "月份")
    @Excel(name = "月份", width = 20)
    private String month;

    @ApiModelProperty(value = "归属(厂计划/六院计划)")
    @Excel(name = "归属(厂计划/六院计划)", width = 20)
    private String ascription;

    @ApiModelProperty(value = "型号")
    @Excel(name = "型号", width = 20)
    private String model;

    @ApiModelProperty(value = "装药完成数")
    @Excel(name = "装药完成数", width = 20)
    private String realCharge;

    @ApiModelProperty(value = "装药计划数")
    @Excel(name = "装药计划数", width = 20)
    private String targetCharge;

    @ApiModelProperty(value = "总装完成数")
    @Excel(name = "总装完成数", width = 20)
    private String realAssemble;

    @ApiModelProperty(value = "总装计划数")
    @Excel(name = "总装计划数", width = 20)
    private String targetAssemble;

    @ApiModelProperty(value = "交付完成数")
    @Excel(name = "交付完成数", width = 20)
    private String realDeliver;

    @ApiModelProperty(value = "交付计划数")
    @Excel(name = "交付计划数", width = 20)
    private String targetDeliver;

    private String chargeRate;

    private String assembleRate;

    private String deliverRate;

    private static final long serialVersionUID = 1L;
}
