package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/14 0014 上午 9:14
 */
@Data
public class HxPlanCompleted implements Serializable {

    private Long id;

    @ApiModelProperty(value = "日期")
    @Excel(name = "日期", width = 20)
    private String todayDate;

    @ApiModelProperty(value = "工作计划名称")
    @Excel(name = "工作计划名称", width = 20)
    private String planName;

    @ApiModelProperty(value = "部门名称")
    @Excel(name = "部门名称", width = 20)
    private String deptName;

    @ApiModelProperty(value = "完成情况")
    @Excel(name = "完成情况", width = 20)
    private String completed;

    private static final long serialVersionUID = 1L;
}
