package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/13 0013 下午 17:51
 */

@Data
public class HxProductQualified implements Serializable {

    private Long id;

    @ApiModelProperty(value = "日期")
    @Excel(name = "日期", width = 20)
    private String todayDate;

    @ApiModelProperty(value = "分类(1=大型,2=中型,3=小型)")
    @Excel(name = "分类(1=大型,2=中型,3=小型)", width = 30)
    private String category;

    @ApiModelProperty(value = "产品名称")
    @Excel(name = "产品名称", width = 20)
    private String productName;

    @ApiModelProperty(value = "产品型号")
    @Excel(name = "产品型号", width = 20)
    private String productModel;

    @ApiModelProperty(value = "总数量")
    @Excel(name = "总数量", width = 20)
    private String total;

    @ApiModelProperty(value = "合格数量")
    @Excel(name = "合格数量", width = 20)
    private String qualifiedTotal;

    @ApiModelProperty(value = "备注")
    @Excel(name = "备注", width = 20)
    private String remark;

    private static final long serialVersionUID = 1L;
}
