package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/10 0010 下午 17:35
 */
@Data
public class HxQualityCase implements Serializable {

    private Long id;

    @ApiModelProperty(value = "日期")
    @Excel(name = "日期", width = 20)
    private String todayDate;

    @ApiModelProperty(value = "班组名")
    @Excel(name = "班组名", width = 20)
    private String className;

    @ApiModelProperty(value = "故障启示")
    @Excel(name = "故障启示", width = 20)
    private String faultRevelation;

    @ApiModelProperty(value = "案例名称")
    @Excel(name = "案例名称", width = 20)
    private String remark;

    private static final long serialVersionUID = 1L;
}
