package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/13 0013 下午 17:05
 */
@Data
public class HxQualitySystemElements implements Serializable {

    private Long id;

    @ApiModelProperty(value = "日期")
    @Excel(name = "日期", width = 20)
    private String todayDate;

    @ApiModelProperty(value = "部门名称")
    @Excel(name = "部门名称", width = 20)
    private String deptName;

    @ApiModelProperty(value = "体系要素名称")
    @Excel(name = "体系要素名称", width = 20)
    private String systemName;

    @ApiModelProperty(value = "体系要素问题数")
    @Excel(name = "体系要素问题数", width = 20)
    private String systemNumber;

    private static final long serialVersionUID = 1L;
}
