package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/13 0013 下午 16:21
 */
@Data
public class HxQualitySystemReview implements Serializable {

    private Long id;

    @ApiModelProperty(value = "日期")
    @Excel(name = "日期", width = 20)
    private String todayDate;

    @ApiModelProperty(value = "内审数量")
    @Excel(name = "内审问题数量", width = 20)
    private String internalReviewNumber;

    @ApiModelProperty(value = "外审数量")
    @Excel(name = "外审问题数量", width = 20)
    private String externalReviewNumber;

    @ApiModelProperty(value = "第三方审数量")
    @Excel(name = "第三方审问题数量", width = 20)
    private String otherReviewNumber;

    private static final long serialVersionUID = 1L;

}
