package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/14 0014 上午 10:44
 */

@Data
public class HxResponsibilityStatus implements Serializable {

    private Long id;

    @ApiModelProperty(value = "月份")
    @Excel(name = "月份", width = 20)
    private String month;

    @ApiModelProperty(value = "责任令内容")
    @Excel(name = "责任令内容", width = 20)
    private String responsibilityContent;

    @ApiModelProperty(value = "进展情况")
    @Excel(name = "进展情况", width = 20)
    private String progressStatus;

    @ApiModelProperty(value = "完成状态")
    @Excel(name = "完成状态", width = 20)
    private String completionStatus;

    @ApiModelProperty(value = "部门名称")
    @Excel(name = "部门名称", width = 20)
    private String deptName;

    private static final long serialVersionUID = 1L;
}
