package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/12 0012 下午 13:26
 */
@Data
public class HxRevenueProfit implements Serializable {

    private Long id;

    @ApiModelProperty(value = "部门名称")
    @Excel(name = "部门名称", width = 20)
    private String deptName;

    @ApiModelProperty(value = "月份")
    @Excel(name = "月份", width = 20)
    private String month;

    @ApiModelProperty(value = "已完成收入")
    @Excel(name = "已完成收入", width = 20)
    private String completedRevenue;

    @ApiModelProperty(value = "预测收入")
    @Excel(name = "预测收入", width = 20)
    private String forecastRevenue;

    @ApiModelProperty(value = "目标收入")
    @Excel(name = "目标收入", width = 20)
    private String targetRevenue;

    @ApiModelProperty(value = "已完成利润")
    @Excel(name = "已完成利润", width = 20)
    private String completedProfit;

    @ApiModelProperty(value = "预测利润")
    @Excel(name = "预测利润", width = 20)
    private String forecastProfit;

    @ApiModelProperty(value = "目标利润")
    @Excel(name = "目标利润", width = 20)
    private String targetProfit;

    @ApiModelProperty(value = "收入完成率")
    @Excel(name = "收入完成率", width = 20)
    private String revenueRate;

    @ApiModelProperty(value = "利润完成率")
    @Excel(name = "利润完成率", width = 20)
    private String profitRate;

    private static final long serialVersionUID = 1L;
}
