package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/21 0021 上午 9:40
 */

@Data
public class HxStorehouse implements Serializable {

    private Long id;

    @ApiModelProperty(value = "库房编号")
    @Excel(name = "库房编号", width = 20)
    private String numberNo;

    @ApiModelProperty(value = "库房名称")
    @Excel(name = "库房名称", width = 20)
    private String name;

    @ApiModelProperty(value = "库房类型")
    @Excel(name = "库房类型", width = 20)
    private String category;

    @ApiModelProperty(value = "当前状态")
    @Excel(name = "当前状态", width = 20)
    private String status;

    @ApiModelProperty(value = "产品信息")
    @Excel(name = "产品信息", width = 20)
    private String productInfo;

    @ApiModelProperty(value = "鉴权信息")
    private String auth;

    private static final long serialVersionUID = 1L;
}
