package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/15 0015 下午 13:21
 */

@Data
public class HxStrategyIndex implements Serializable {

    private Long id;

    @ApiModelProperty(value = "年度")
    @Excel(name = "年度", width = 20)
    private String year;

    @ApiModelProperty(value = "五力名称")
    @Excel(name = "五力名称", width = 20)
    private String fiveForce;

    @ApiModelProperty(value = "指标名称")
    @Excel(name = "指标名称", width = 20)
    private String indexName;

    @ApiModelProperty(value = "初期值")
    @Excel(name = "初期值", width = 20)
    private String startNumber;

    @ApiModelProperty(value = "末期值")
    @Excel(name = "末期值", width = 20)
    private String endNumber;

    @ApiModelProperty(value = "当年目标")
    @Excel(name = "当年目标", width = 20)
    private String yearTarget;



    private static final long serialVersionUID = 1L;
}
