package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/22 0022 下午 13:55
 */

@Data
public class HxTeamAttendance implements Serializable {

    private Long id;

    @ApiModelProperty(value = "日期")
    @Excel(name = "日期", width = 20)
    private String todayDate;

    @ApiModelProperty(value = "班组名称")
    @Excel(name = "班组名称", width = 20)
    private String teamName;

    @ApiModelProperty(value = "人员数量")
    @Excel(name = "人员数量", width = 20)
    private String peopleTotal;

    @ApiModelProperty(value = "班次数")
    @Excel(name = "班次数", width = 20)
    private String shift;

    @ApiModelProperty(value = "到岗人数")
    @Excel(name = "到岗人数", width = 20)
    private String realWorkerTotal;

    @ApiModelProperty(value = "到岗人员")
    @Excel(name = "到岗人员(逗号隔开)", width = 20)
    private String peopleList;

    private static final long serialVersionUID = 1L;
}
