package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/20 0020 下午 16:17
 */

@Data
public class HxWeekPlan implements Serializable {

    private Long id;

    @ApiModelProperty(value = "周开始日期")
    @Excel(name = "周开始日期", width = 20)
    private String month;

    @ApiModelProperty(value = "周结束日期")
    @Excel(name = "周结束日期", width = 20)
    private String serialNumber;

    @ApiModelProperty(value = "实际探伤完成量")
    @Excel(name = "实际探伤完成量", width = 20)
    private String realFlawDetection;

    @ApiModelProperty(value = "探伤计划值")
    @Excel(name = "探伤计划值", width = 20)
    private String targetFlawDetection;

    @ApiModelProperty(value = "探伤完成率")
    //@Excel(name = "探伤完成率", width = 20)
    private String flawDetectionRate;

    @ApiModelProperty(value = "实际装药完成量")
    @Excel(name = "实际装药完成量", width = 20)
    private String realCharge;

    @ApiModelProperty(value = "装药计划值")
    @Excel(name = "装药计划值", width = 20)
    private String targetCharge;

    @ApiModelProperty(value = "装药完成率")
    //@Excel(name = "装药完成率", width = 20)
    private String chargeRate;

    @ApiModelProperty(value = "实际交付量")
    @Excel(name = "实际交付量", width = 20)
    private String realDeliver;

    @ApiModelProperty(value = "目标交付量")
    @Excel(name = "目标交付量", width = 20)
    private String targetDeliver;

    @ApiModelProperty(value = "交付完成率")
    //@Excel(name = "交付完成率", width = 20)
    private String deliverRate;

    @ApiModelProperty(value = "实际壳体入场量")
    @Excel(name = "实际壳体入场量", width = 20)
    private String realHousing;

    @ApiModelProperty(value = "目标壳体入场量")
    @Excel(name = "目标壳体入场量", width = 20)
    private String targetHousing;

    @ApiModelProperty(value = "壳体入场完成率")
    //@Excel(name = "壳体入场完成率", width = 20)
    private String housingRate;

    private String remark;

    private static final long serialVersionUID = 1L;
}
