package com.ailanyin.model;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ailanyin
 * @version 1.0
 * @since 2021/12/14 0014 上午 11:19
 */
@Data
public class HxWorkPlan implements Serializable {

    private Long id;

    @ApiModelProperty(value = "日期")
    @Excel(name = "日期", width = 20)
    private String todayDate;

    @ApiModelProperty(value = "项目名称")
    @Excel(name = "项目名称", width = 20)
    private String projectName;

    @ApiModelProperty(value = "工作计划名称")
    @Excel(name = "工作计划名称", width = 20)
    private String workPlanName;

    @ApiModelProperty(value = "部门名称")
    @Excel(name = "部门名称", width = 20)
    private String deptName;

    @ApiModelProperty(value = "完成状态")
    @Excel(name = "完成状态", width = 20)
    private String completedStatus;

    private static final long serialVersionUID = 1L;
}
